Get a discovered connection
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"configName": "<string>",
"databaseType": "<string>",
"status": "<string>",
"schemaDiscovered": true,
"lastSeenAt": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Get a discovered connection
Use this endpoint to retrieve a single discovered Fetcher connection by its internal identifier.
GET
/
v1
/
discovery
/
connections
/
{connectionId}
Get a discovered connection
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the connection.
Response
Connection details
A discovered Fetcher database connection
Internal identifier for the connection
Name of the Fetcher configuration that produced this connection
Type of database (e.g. postgres, mysql)
Current connection status
Whether the table schema has been discovered for this connection
Timestamp when this connection was last observed in Fetcher
Was this page helpful?
⌘I

